/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.HistoricoFormaPagoPuntoVentaDAO;
import com.rjconsultores.ventaboletos.entidad.HistoricoFormaPagoPuntoVenta;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;

/**
 *
 * @author Administrador
 */
@Repository("historicoFormaPagoPuntoVentaDAO")
public class HistoricoFormaPagoPuntoVentaHibernateDAO extends GenericHibernateDAO<HistoricoFormaPagoPuntoVenta, Integer> implements HistoricoFormaPagoPuntoVentaDAO {

	@Autowired
	public HistoricoFormaPagoPuntoVentaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<HistoricoFormaPagoPuntoVenta> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}
	
	@Override
	public List<HistoricoFormaPagoPuntoVenta> obtenerTodosPorPuntoVenta(PuntoVenta puntoVenta) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("puntoVenta", puntoVenta));

		return c.list();
	}

}
